### Virtual Method

# EBackend CollectionBackend delete_resource_sync

since: 3.6

#### Declaration [src]

    gboolean
    delete_resource_sync (
      ECollectionBackend* backend,
      ESource* source,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Deletes a server-side resource described by `source`. The `source` must be a child of `backend`‘s collection `EBackend:source`.

After the server-side resource is successfully deleted, the implementor must also remove `source` from the `backend`‘s `ECollectionBackend:server`. This can either be done immediately or in response to some “resource deleted” notification from the server.

If an error occurs, the function will set `error` and return `FALSE`.

Available since: 3.6

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.